Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class AnvilSaveConverter

    java.lang.Object
      net.minecraft.src.SaveFormatOld
          net.minecraft.src.AnvilSaveConverter

All Implemented Interfaces:
  ISaveFormat

    public class AnvilSaveConverter

extends SaveFormatOld

Constructor Summary
`AnvilSaveConverter(File par1File)`

Method Summary
`boolean` | `convertMapFormat(String par1Str, IProgressUpdate par2IProgressUpdate)` Converts the specified map to the new map format.
`void` | `flushCache()`
`List` | `getSaveList()`
`ISaveHandler` | `getSaveLoader(String par1Str, boolean par2)` Returns back a loader for the specified save directory
`boolean` | `isOldMapFormat(String par1Str)` Checks if the save directory uses the old map format

Methods inherited from class net.minecraft.src.SaveFormatOld
`deleteWorldDirectory, getWorldInfo, renameWorld`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnvilSaveConverter

    public AnvilSaveConverter(File par1File)

Method Detail

### getSaveList

    public List getSaveList()

  Specified by:
    `getSaveList` in interface `ISaveFormat`
  Overrides:
    `getSaveList` in class `SaveFormatOld`

### flushCache

    public void flushCache()

  Specified by:
    `flushCache` in interface `ISaveFormat`
  Overrides:
    `flushCache` in class `SaveFormatOld`

### getSaveLoader

    public ISaveHandler getSaveLoader(String par1Str,
                                      boolean par2)

  Returns back a loader for the specified save directory

  Specified by:
    `getSaveLoader` in interface `ISaveFormat`
  Overrides:
    `getSaveLoader` in class `SaveFormatOld`

### isOldMapFormat

    public boolean isOldMapFormat(String par1Str)

  Checks if the save directory uses the old map format

  Specified by:
    `isOldMapFormat` in interface `ISaveFormat`
  Overrides:
    `isOldMapFormat` in class `SaveFormatOld`

### convertMapFormat

    public boolean convertMapFormat(String par1Str,
                                    IProgressUpdate par2IProgressUpdate)

  Converts the specified map to the new map format. Args: worldName, loadingScreen

  Specified by:
    `convertMapFormat` in interface `ISaveFormat`
  Overrides:
    `convertMapFormat` in class `SaveFormatOld`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD